package com.hongyegroup.cpt_ewallet.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.engine.toast
import com.guadou.lib_baselib.ext.commContext
import com.guadou.lib_baselib.ext.gotoActivity
import com.hongyegroup.cpt_ewallet.BR
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.databinding.ActivityHistoryJobIssueBinding
import com.hongyegroup.cpt_ewallet.mvvm.HistoryJobIssueViewModel
import dagger.hilt.android.AndroidEntryPoint

/**
 * 钱包历史详情中，兼职工作发票详情的问题提交页面
 */
@AndroidEntryPoint
class HistoryJobIssueActivity : YYBaseVDBActivity<HistoryJobIssueViewModel, ActivityHistoryJobIssueBinding>() {

    companion object {
        fun startInstance() {
            commContext().gotoActivity<HistoryJobIssueActivity>()
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_history_job_issue, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
        setStatusBarBlackText()

    }

    override fun startObserve() {

    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        fun submitIssue() {
            toast("提交问题")

            HistoryJobIssueDetailActivity.startInstance()
        }
    }
}